Liferea cannot handle HTTP Content-Encoding: gzip

Bug #716688 reported by Chow Loong Jin on 2011-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Liferea
Unknown
Unknown
liferea (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: liferea

Liferea cannot handle fetching HTTP content with Content-Encoding: gzip, instead choosing to complain that the feed is not readable. The attached patch enables libsoup's content decoder feature, which parses this and handles other Content-Encodings as well.

Related branches

Chow Loong Jin (hyperair) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liferea - 1.8.3-0.1ubuntu1

---------------
liferea (1.8.3-0.1ubuntu1) precise; urgency=low

  * New upstream release (LP: #290666, #371754, #741543, #716688)
  * Merge from Debian unstable (LP: #935147), remaining changes:
  * debian/patches:
    - drop gtk-status-icon.patch & notification-append as in upstream
    - drop fix_systray_behavior as mostly upstreamed and rest seems unused
    - 01_ubuntu_feedlists: update & rename, move planets to "Open Source"
    - add_X-Ubuntu-Gettext-Domain: rebase
    - libunity.patch: rebase, apply before indicator patch (liferea_shell.c)
    - libindicate_increase_version.patch: exclude from libindicate.patch
    - deactivate libindicate.patch, seems partly upstreamed and needs rework
  * debian/control: libindicate-dev, libindicate-gtk-dev & libunity-dev
  * debian/liferea.indicate & liferea.install: ship indicator desktop file
  * debian/rules: enable libindicate

liferea (1.8.3-0.1) unstable; urgency=low

   [ Bojo42 ]
   * Non-maintainer upload.
   * New upstream release (Closes: #502307, #623619, #631778, #651913)
   * debian/patches:
     - drop libnotify0.7 as in upstream
     - debian-example-feeds: update, move planets from "News" to "Open Source"
     - www-browser: update due to new file location
     - libtool-dont-rearange-as-needed: rebase
   * debian/control:
     - update Standards-Version
     - remove obsolete Build-Depends:
       - quilt not needed for "3.0 (quilt)" source format
       - libnm-glib-dev & libdbus-glib-1-dev: upstream switched to GDBus
       - liblua5.1-0-dev: LUA scripting support got dropped
     - new Build-Depends on libunique-dev, libjson-glib-dev & dh_autoreconf
     - update version dependencies
   * debian/rules: run dh_autoreconf & update translations
   * debian/liferea.install: nothing to ship from /usr/lib/liferea

   [ Rodrigo Gallardo ]
   * Lintian love:
     - debian/control: switch from Conflicts to Breaks
     - debian/rules: redo build targets

   [ Moray Allan ]
   * debian/copyright: update to include additional copyright owners.
   * debian/patches/www-browser: also set default external browser.
 -- bojo42 <email address hidden> Thu, 29 Mar 2012 14:17:21 +0200

Changed in liferea (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.